#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 http3
version:              0.0.2
visibility:           public
id:                   http3-0.0.2-EbJvyEW4gsG3lmGXMb9Bt
key:                  http3-0.0.2-EbJvyEW4gsG3lmGXMb9Bt
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
homepage:             https://github.com/kazu-yamamoto/http3
synopsis:             HTTP/3 library
description:          HTTP/3 library including frames, QPACK, client and server.
category:             Network
abi:                  13c621d201bdae90008da3dc9922273c
exposed:              True
exposed-modules:
    Network.HQ.Client Network.HQ.Server Network.HTTP3.Client
    Network.HTTP3.Internal Network.HTTP3.Server Network.QPACK
    Network.QPACK.Internal

hidden-modules:
    Imports Network.HTTP3.Config Network.HTTP3.Context
    Network.HTTP3.Control Network.HTTP3.Error Network.HTTP3.Frame
    Network.HTTP3.Recv Network.HTTP3.Send Network.HTTP3.Settings
    Network.HTTP3.Stream Network.QPACK.Error Network.QPACK.HeaderBlock
    Network.QPACK.HeaderBlock.Decode Network.QPACK.HeaderBlock.Encode
    Network.QPACK.HeaderBlock.Prefix Network.QPACK.Instruction
    Network.QPACK.Table Network.QPACK.Table.Dynamic
    Network.QPACK.Table.RevIndex Network.QPACK.Table.Static
    Network.QPACK.Token Network.QPACK.Types

import-dirs:          /usr/lib/ghc-9.0.2/site-local/http3-0.0.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/http3-0.0.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-http3
hs-libraries:         HShttp3-0.0.2-EbJvyEW4gsG3lmGXMb9Bt
depends:
    array-0.5.4.0 base-4.15.1.0 bytestring-0.10.12.1
    case-insensitive-1.2.1.0-AjNclo4vu521MOLXCrnxYD containers-0.6.4.1
    http-types-0.12.3-Lqzr84ReqW67X7V2trk2er
    http2-4.1.0-1kmD4MBd2PxuUnTPcmvvq
    network-3.1.4.0-FljXj1pKqIFKzoXPMjtmvn
    network-byte-order-0.1.7-aizR4J4tPIDAy5AbcEEVa
    quic-0.1.5-9iAotEL6Env14eTwMfCD0H
    sockaddr-0.0.1-KkR9mK8sNpg4CGc8VkYvvD stm-2.5.0.0
    time-manager-0.0.1-EXMKTkCcO0X7tICkhjOc1O
    unliftio-0.2.25.0-hbDzkDhXgs3ijxQg1J2HF

haddock-interfaces:   /usr/share/doc/haskell-http3/html/http3.haddock
haddock-html:         /usr/share/doc/haskell-http3/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

